%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Standalone Flickr Uploader
Name: kflickr
Version: 0.9.1
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://kflickr.sourceforge.net/
Group: Applications/Internet
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext

%description
kflickr is an easy to use photo uploader for flickr.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kflickr.png %{buildroot}%{_datadir}/pixmaps/kflickr.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kflickr
%{_libdir}/kde3/libkflickrpart.la
%{_libdir}/kde3/libkflickrpart.so
%{_datadir}/applications/kde/kflickr.desktop
%{_datadir}/apps/kflickr
%{_datadir}/apps/kflickrpart
%{_datadir}/apps/konqueror/servicemenus/kflickr_servicemenu.desktop
%{_datadir}/doc/HTML/*/kflickr
%{_datadir}/icons/hicolor/*/apps/kflickr.png
%{_datadir}/locale/*/LC_MESSAGES/kflickr.mo
%{_mandir}/man1/kflickr.1*
%{_datadir}/pixmaps/kflickr.png
%{_datadir}/services/kflickrpart.desktop

%changelog
* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-2m)
- add DocPath to desktop file

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-1m)
- initial package for Momonga Linux
